---
title: "Retrieve a list of stores with given verbosity."
url: "https://developer.migros.ch/apis/stores-api-1/versions/ac41d15e-28a9-459f-b6e0-277ae334d939/paths/migros-sales-branches-v1-stores/get"
---

> Full API specification: https://developer.migros.ch/apis/stores-api-1/versions/ac41d15e-28a9-459f-b6e0-277ae334d939.md

# Retrieve a list of stores with given verbosity.

`GET` `/migros/sales/branches/v1/stores`

Retrieve a list of stores with given verbosity.

## Query parameters

- `ids` (optional) - Determines which stores should be returned by id or slug. Cannot be used together with store_types. !ATTENTION! If you set limit and/or offset the result is sorted and ordered by given parameters sort and order or their default values. For example: `ids=aarau-igelweid` or `ids[]=aarau-igelweid&ids[]=0150079`
- `sap_ids` (optional) - Determines which stores should be returned by sap_id. !ATTENTION! If you set limit and/or offset the result is sorted and ordered by given parameters sort and order or their default values. For example: `sap_ids=4213` or `sap_ids[]=4213&sap_ids[]=5413`
- `store_types` (optional) - Determines which store types should be returned. Cannot be used together with ids. DEPRECATED, use filters instead.
- `market_types` (optional) - Determines which market types should be returned. DEPRECATED, use filters instead.
- `search` (string, optional)
- `sort` (string, optional)
- `order` (string, optional)
- `verbosity` (string, optional) - Determines which fields of the store or market objects should be returned
- `limit` (number, optional) - Limit the number of results.
- `offset` (number, optional) - Offset the number of results.
- `filters` (string, optional) - Selected filter terms. All filters with type AndOrFilter (see the parameter model) can be used in 3 different ways: 1. Just a string. For example, filters[markets]=super returns all stores with one or more markets of type super 2. An array of strings. The elements are connected by AND. For example: `filters[markets][]=super&filters[markets][]=alna` returns all stores with markets of type super and type alna 3. An array containing strings and/or sub-arrays of strings - the elements are connected by AND, and the sub-elements by OR. For example, `filters[markets][0][]=super&filters[markets][0][]=alna& filters[market][1]=spx` returns all stores with either a market of type super or alna, and a market of type spx The services filter can be used in 4 different ways: 1. Just a string. The string is then interpreted as service type. For example `filters[services]=pickmup` returns all stores with a market with service pickmup 2. An array of strings. Same behavior as AndOrFilters. 3. An array containing strings and/or sub-arrays of strings. Same behavior as AndOrFilters for service types. For example `filters[services][0][]=spx&filters[services][0][]=bikeworld&filters[services][1]=pickmup` returns all stores with a market with a service with type pickmup and a service with type bikeworld or spx. 4. An object with various keys (see the parameter model) and logic. For example `filters[services][type]=pickmup` is equivalent to `filters[services]=pickmup` but allows, additionally to add other service filters, e.g. `filters[services][type]=pickmup&filters[services][promoted]=true`. Each of these service filters is an AndOrFilter, meaning you can use an array with arrays to combine AND and OR filters, e.g. `filters[services][type][0]=pickmup&filters[services][type][1][]=bank& filters[services][type][1][]=subito` means store has a market that has a service of type pickmup and a service of type bank or subito.
- `aggregations` (optional) - Deprecated parameter to apply filters to the stores. Use filters instead.
- `aggregation_groups` (string, optional) - Aggregation groups to get aggregations for with size (empty string or 0 = all).(e.g. `aggregation_groups[assortments][_size]=0`)
- `aggregation_options` (string, optional) - Aggregation options to apply for the given aggregations.
- `location_reference` (string, optional) - Geo reference location as string "latitude,longitude".
- `location_distance` (number, optional) - Distance in kilometers, meters or centimeters from the location reference.
- `location_distance_unit` (string, optional) - Unit of the distance from the location reference (defaults to "m" if location_distance is set).
- `computed_opening_hours` (object, optional) - Computed opening hours. Must be an object with start and end properties. Start and end must be valid date strings in the format YYYYMMDD

## Header parameters

- `Accept-Language` (string, optional) - The language of the results.

## Responses

- `200` - List of stores.
- `400` - Bad Request

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Stores API
  version: "1.0"
servers:
  - url: https://stores-api.intern.migros.net
paths:
  /migros/sales/branches/v1/stores:
    get:
      description: Retrieve a list of stores with given verbosity.
      parameters:
        - description: "Determines which stores should be returned by id or slug. Cannot
            be used together with store_types. !ATTENTION! If you set limit
            and/or offset the result is sorted and ordered by given parameters
            sort and order or their default values. For example:
            `ids=aarau-igelweid` or `ids[]=aarau-igelweid&ids[]=0150079`"
          in: query
          name: ids
          required: false
          schema:
            $ref: "#/components/schemas/storeIds"
        - description: "Determines which stores should be returned by sap_id. !ATTENTION!
            If you set limit and/or offset the result is sorted and ordered by
            given parameters sort and order or their default values. For
            example: `sap_ids=4213` or `sap_ids[]=4213&sap_ids[]=5413`"
          in: query
          name: sap_ids
          required: false
          schema:
            $ref: "#/components/schemas/sapIds"
        - description: Determines which store types should be returned. Cannot be used
            together with ids. DEPRECATED, use filters instead.
          in: query
          name: store_types
          required: false
          schema:
            $ref: "#/components/schemas/storeTypes"
        - description: Determines which market types should be returned. DEPRECATED, use
            filters instead.
          in: query
          name: market_types
          required: false
          schema:
            $ref: "#/components/schemas/marketTypes"
        - in: query
          name: search
          required: false
          schema:
            type: string
        - in: query
          name: sort
          required: false
          schema:
            $ref: "#/components/schemas/storesSort"
        - in: query
          name: order
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
        - description: Determines which fields of the store or market objects should be
            returned
          in: query
          name: verbosity
          required: false
          schema:
            $ref: "#/components/schemas/verbosity"
        - description: Limit the number of results.
          in: query
          name: limit
          required: false
          schema:
            $ref: "#/components/schemas/limit"
        - description: Offset the number of results.
          in: query
          name: offset
          required: false
          schema:
            $ref: "#/components/schemas/offset"
        - description: |-
            Selected filter terms.

            All filters with type AndOrFilter (see the parameter model) can be used in 3 different ways:

            1. Just a string. For example, filters[markets]=super returns all stores with one or
            more markets of type super
            2. An array of strings. The elements are connected by AND. For example:
            `filters[markets][]=super&filters[markets][]=alna` returns all stores with markets of type super and type alna
            3. An array containing strings and/or sub-arrays of strings - the elements are connected
            by AND, and the sub-elements by OR. For example, `filters[markets][0][]=super&filters[markets][0][]=alna&
            filters[market][1]=spx` returns all stores with either a market of type super or alna, and a market of type spx

            The services filter can be used in 4 different ways:
            1. Just a string. The string is then interpreted as service type. For example `filters[services]=pickmup`
            returns all stores with a market with service pickmup
            2. An array of strings. Same behavior as AndOrFilters.
            3. An array containing strings and/or sub-arrays of strings. Same behavior as AndOrFilters for service types.
            For example `filters[services][0][]=spx&filters[services][0][]=bikeworld&filters[services][1]=pickmup`
            returns all stores with a market with a service with type pickmup and a service with type bikeworld or spx.
            4. An object with various keys (see the parameter model) and logic. For example
            `filters[services][type]=pickmup` is equivalent to `filters[services]=pickmup` but allows, additionally to
            add other service filters, e.g. `filters[services][type]=pickmup&filters[services][promoted]=true`. Each of
            these service filters is an AndOrFilter, meaning you can use an array with arrays to combine AND and OR
            filters, e.g. `filters[services][type][0]=pickmup&filters[services][type][1][]=bank&
            filters[services][type][1][]=subito` means store has a market that has a service of type pickmup and a service of type bank or subito.
          in: query
          name: filters
          required: false
          schema:
            $ref: "#/components/schemas/storeFilters"
          style: deepObject
        - description: Deprecated parameter to apply filters to the stores. Use filters
            instead.
          in: query
          name: aggregations
          required: false
          schema:
            allOf:
              - $ref: "#/components/schemas/storeFilters"
              - deprecated: true
          style: deepObject
        - description: Aggregation groups to get aggregations for with size (empty string
            or 0 = all).(e.g. `aggregation_groups[assortments][_size]=0`)
          in: query
          name: aggregation_groups
          required: false
          schema:
            $ref: "#/components/schemas/aggregation_groups"
          style: deepObject
        - description: Aggregation options to apply for the given aggregations.
          in: query
          name: aggregation_options
          required: false
          schema:
            $ref: "#/components/schemas/aggregation_options"
          style: deepObject
        - description: Geo reference location as string "latitude,longitude".
          in: query
          name: location_reference
          required: false
          schema:
            $ref: "#/components/schemas/location_reference"
        - description: Distance in kilometers, meters or centimeters from the location
            reference.
          in: query
          name: location_distance
          required: false
          schema:
            $ref: "#/components/schemas/location_distance"
        - description: Unit of the distance from the location reference (defaults to "m"
            if location_distance is set).
          in: query
          name: location_distance_unit
          required: false
          schema:
            $ref: "#/components/schemas/location_distance_unit"
        - description: Computed opening hours. Must be an object with start and end
            properties. Start and end must be valid date strings in the format
            YYYYMMDD
          in: query
          name: computed_opening_hours
          required: false
          schema:
            $ref: "#/components/schemas/computedOpeningHours"
          style: deepObject
        - description: The language of the results.
          in: header
          name: Accept-Language
          required: false
          schema:
            $ref: "#/components/schemas/language"
      responses:
        "200":
          content:
            application/json:
              schema:
                properties:
                  aggregations:
                    $ref: "#/components/schemas/Aggregations"
                  stores:
                    items:
                      $ref: "#/components/schemas/Store"
                    type: array
                  total_hits:
                    type: number
                required:
                  - stores
                  - total_hits
                  - aggregations
                type: object
          description: List of stores.
        "400":
          content:
            application/json:
              schema:
                properties:
                  error:
                    properties:
                      message:
                        type: string
                    required:
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Bad Request
      security:
        - apikey: []
      summary: Retrieve a list of stores with given verbosity.
      tags:
        - cgd
security:
  - apikey: []
components:
  schemas:
    storeIds:
      anyOf:
        - type: string
        - items:
            type: string
          type: array
      default: []
    sapIds:
      anyOf:
        - type: string
        - items:
            type: string
          type: array
      default: []
      example: ""
    storeTypes:
      anyOf:
        - type: string
        - items:
            type: string
          type: array
      default: []
      deprecated: true
    marketTypes:
      anyOf:
        - type: string
        - items:
            type: string
          type: array
      default: []
      deprecated: true
    storesSort:
      default: name
      description: Sort the results by the given field.
      enum:
        - name
        - search
        - nearby
      example: name
      type: string
    verbosity:
      enum:
        - id
        - store
        - detail
      type: string
    limit:
      example: 1
      maximum: 10000
      minimum: 0
      nullable: true
      type: number
    offset:
      example: 0
      maximum: 10000
      minimum: 0
      nullable: true
      type: number
    storeFilters:
      type: string
    aggregation_groups:
      type: string
    aggregation_options:
      type: string
    location_reference:
      type: string
    location_distance:
      nullable: true
      type: number
    location_distance_unit:
      enum:
        - cm
        - m
        - km
      type: string
    computedOpeningHours:
      additionalProperties: false
      example:
        end: "20260930"
        start: "20260923"
      properties:
        end:
          type: string
        start:
          type: string
      required:
        - start
        - end
      type: object
    language:
      default: de
      enum:
        - de
        - fr
        - it
      example: de
      type: string
    Aggregations:
      properties:
        assortments:
          $ref: "#/components/schemas/Aggregation"
        cooperatives:
          $ref: "#/components/schemas/Aggregation"
        counter_type:
          $ref: "#/components/schemas/Aggregation"
        daily_type:
          $ref: "#/components/schemas/Aggregation"
        markets:
          $ref: "#/components/schemas/Aggregation"
        offer_groups:
          $ref: "#/components/schemas/Aggregation"
        offers:
          $ref: "#/components/schemas/Aggregation"
        open_on:
          $ref: "#/components/schemas/AggregationWithKeys"
        packet_sizes:
          $ref: "#/components/schemas/Aggregation"
        pickmup_type:
          $ref: "#/components/schemas/Aggregation"
        promoted:
          $ref: "#/components/schemas/Aggregation"
        return_option:
          $ref: "#/components/schemas/Aggregation"
        services:
          $ref: "#/components/schemas/Aggregation"
        size:
          $ref: "#/components/schemas/Aggregation"
        stores:
          $ref: "#/components/schemas/Aggregation"
        sub_type:
          $ref: "#/components/schemas/Aggregation"
        supported_stores:
          $ref: "#/components/schemas/Aggregation"
        type:
          $ref: "#/components/schemas/Aggregation"
      type: object
    Store:
      allOf:
        - $ref: "#/components/schemas/InvertedStore"
        - properties:
            markets:
              items:
                $ref: "#/components/schemas/Market"
              type: array
          required:
            - markets
          type: object
    Aggregation:
      properties:
        buckets:
          items:
            properties:
              count:
                type: number
              name:
                type: string
              term:
                type: string
            required:
              - term
              - count
              - name
            type: object
          type: array
        name:
          type: string
        other_count:
          type: number
      required:
        - name
        - other_count
        - buckets
      type: object
    AggregationWithKeys:
      properties:
        buckets:
          items:
            properties:
              count:
                type: number
              name:
                type: string
              term:
                properties:
                  key:
                    type: string
                  value:
                    type: string
                required:
                  - key
                  - value
                type: object
            required:
              - term
              - count
              - name
            type: object
          type: array
        name:
          type: string
        other_count:
          type: number
      required:
        - name
        - other_count
        - buckets
      type: object
    InvertedStore:
      properties:
        additional_ids:
          items:
            type: string
          nullable: true
          type: array
        additional_slugs:
          items:
            type: string
          type: array
        cooperative:
          nullable: true
          properties:
            id:
              type: string
            name:
              type: string
            url:
              type: string
          required:
            - id
            - name
            - url
          type: object
        id:
          type: string
        language:
          type: string
        localized_slugs:
          properties:
            de:
              nullable: true
              type: string
            fr:
              nullable: true
              type: string
            it:
              nullable: true
              type: string
          type: object
        location:
          properties:
            address:
              type: string
            address2:
              type: string
            city:
              type: string
            country:
              type: string
            geo:
              properties:
                lat:
                  type: number
                lon:
                  type: number
              required:
                - lat
                - lon
              type: object
            geo_distance:
              properties:
                linear:
                  type: number
                unit:
                  type: string
              required:
                - linear
                - unit
              type: object
            zip:
              type: string
          required:
            - address
            - address2
            - zip
            - city
            - country
            - geo
          type: object
        logo:
          properties:
            alt_text:
              properties:
                de:
                  nullable: true
                  type: string
                fr:
                  nullable: true
                  type: string
                it:
                  nullable: true
                  type: string
              type: object
            custom:
              nullable: true
              type: string
            large:
              nullable: true
              type: string
            medium:
              nullable: true
              type: string
            original:
              nullable: true
              type: string
            small:
              nullable: true
              type: string
            stack:
              nullable: true
              type: string
          required:
            - custom
            - large
            - medium
            - original
            - small
            - stack
          type: object
        name:
          type: string
        phone:
          nullable: true
          type: string
        region:
          type: string
        slug:
          type: string
        type:
          type: string
        types:
          items:
            type: string
          type: array
      required:
        - id
        - additional_ids
        - type
        - name
        - phone
        - slug
        - localized_slugs
        - additional_slugs
        - language
        - region
        - logo
        - cooperative
        - location
      type: object
    Market:
      properties:
        additional_slugs:
          items:
            type: string
          nullable: true
          type: array
        admin_x_kst:
          nullable: true
          type: string
        all_types:
          items:
            type: string
          type: array
        assortments:
          items:
            properties:
              id:
                type: string
              name:
                type: string
            required:
              - id
              - name
            type: object
          type: array
        closing_date:
          anyOf:
            - type: string
            - type: string
            - nullable: true
        computed_opening_hours:
          items:
            $ref: "#/components/schemas/ComputedOpeningHoursResponse"
          nullable: true
          type: array
        cooperative:
          nullable: true
          properties:
            id:
              type: string
            name:
              type: string
            url:
              type: string
          required:
            - id
            - name
            - url
          type: object
        cost_center:
          type: string
        email:
          nullable: true
          type: string
        facebook_id:
          nullable: true
          type: string
        full_name:
          type: string
        hint:
          nullable: true
          type: string
        id:
          type: string
        image:
          properties:
            alt_text:
              properties:
                de:
                  nullable: true
                  type: string
                fr:
                  nullable: true
                  type: string
                it:
                  nullable: true
                  type: string
              type: object
            custom:
              nullable: true
              type: string
            large:
              nullable: true
              type: string
            medium:
              nullable: true
              type: string
            original:
              nullable: true
              type: string
            small:
              nullable: true
              type: string
            stack:
              nullable: true
              type: string
          required:
            - custom
            - large
            - medium
            - original
            - small
            - stack
          type: object
        links:
          items:
            properties:
              code:
                type: string
              label:
                type: string
              text:
                type: string
              url:
                type: string
            required:
              - code
              - text
              - url
            type: object
          type: array
        localized_slugs:
          properties:
            de:
              nullable: true
              type: string
            fr:
              nullable: true
              type: string
            it:
              nullable: true
              type: string
          type: object
        logo:
          properties:
            alt_text:
              properties:
                de:
                  nullable: true
                  type: string
                fr:
                  nullable: true
                  type: string
                it:
                  nullable: true
                  type: string
              type: object
            custom:
              nullable: true
              type: string
            large:
              nullable: true
              type: string
            medium:
              nullable: true
              type: string
            original:
              nullable: true
              type: string
            small:
              nullable: true
              type: string
            stack:
              nullable: true
              type: string
          required:
            - custom
            - large
            - medium
            - original
            - small
            - stack
          type: object
        logo_minimal:
          properties:
            alt_text:
              properties:
                de:
                  nullable: true
                  type: string
                fr:
                  nullable: true
                  type: string
                it:
                  nullable: true
                  type: string
              type: object
            custom:
              nullable: true
              type: string
            large:
              nullable: true
              type: string
            medium:
              nullable: true
              type: string
            original:
              nullable: true
              type: string
            small:
              nullable: true
              type: string
            stack:
              nullable: true
              type: string
          required:
            - custom
            - large
            - medium
            - original
            - small
            - stack
          type: object
        logo_square:
          properties:
            alt_text:
              properties:
                de:
                  nullable: true
                  type: string
                fr:
                  nullable: true
                  type: string
                it:
                  nullable: true
                  type: string
              type: object
            custom:
              nullable: true
              type: string
            large:
              nullable: true
              type: string
            medium:
              nullable: true
              type: string
            original:
              nullable: true
              type: string
            small:
              nullable: true
              type: string
            stack:
              nullable: true
              type: string
          required:
            - custom
            - large
            - medium
            - original
            - small
            - stack
          type: object
        managers:
          items:
            properties:
              firstname:
                type: string
              image:
                properties:
                  alt_text:
                    properties:
                      de:
                        nullable: true
                        type: string
                      fr:
                        nullable: true
                        type: string
                      it:
                        nullable: true
                        type: string
                    type: object
                  custom:
                    nullable: true
                    type: string
                  large:
                    nullable: true
                    type: string
                  medium:
                    nullable: true
                    type: string
                  original:
                    nullable: true
                    type: string
                  small:
                    nullable: true
                    type: string
                  stack:
                    nullable: true
                    type: string
                required:
                  - custom
                  - large
                  - medium
                  - original
                  - small
                  - stack
                type: object
              lastname:
                type: string
            required:
              - firstname
              - lastname
              - image
            type: object
          type: array
        media:
          items:
            properties:
              image:
                nullable: true
                properties:
                  alt_text:
                    properties:
                      de:
                        nullable: true
                        type: string
                      fr:
                        nullable: true
                        type: string
                      it:
                        nullable: true
                        type: string
                    type: object
                  custom:
                    nullable: true
                    type: string
                  large:
                    nullable: true
                    type: string
                  medium:
                    nullable: true
                    type: string
                  original:
                    nullable: true
                    type: string
                  small:
                    nullable: true
                    type: string
                  stack:
                    nullable: true
                    type: string
                required:
                  - custom
                  - large
                  - medium
                  - original
                  - small
                  - stack
                type: object
              source:
                nullable: true
                type: string
              type:
                type: string
              url:
                nullable: true
                type: string
            required:
              - type
              - url
              - source
              - image
            type: object
          type: array
        mpv_vertriebstyp_id:
          nullable: true
          type: string
        name:
          type: string
        opening_date:
          anyOf:
            - type: string
            - type: string
            - nullable: true
        opening_hours:
          items:
            properties:
              active:
                type: boolean
              date_from:
                type: string
              date_to:
                nullable: true
                type: string
              opening_hours:
                items:
                  $ref: "#/components/schemas/OpeningHours"
                type: array
            required:
              - opening_hours
              - active
              - date_to
              - date_from
            type: object
          type: array
        phone:
          nullable: true
          type: string
        prefixed_phone:
          nullable: true
          type: string
        sap_id:
          nullable: true
          type: string
        services:
          items:
            $ref: "#/components/schemas/Service"
          type: array
        slug:
          type: string
        source:
          type: string
        special_day_schedules:
          items:
            $ref: "#/components/schemas/SpecialDaySchedule"
          type: array
        sub_types:
          items:
            type: string
          type: array
        type:
          type: string
        visit_frequencies:
          items:
            properties:
              day_of_week:
                type: number
              hours:
                items:
                  properties:
                    hour:
                      type: number
                    percentage:
                      type: number
                  required:
                    - hour
                    - percentage
                  type: object
                type: array
            required:
              - day_of_week
              - hours
            type: object
          nullable: true
          type: array
        weblink:
          nullable: true
          properties:
            text:
              type: string
            url:
              type: string
          required:
            - text
            - url
          type: object
        x_kst:
          nullable: true
          type: string
        x_kst_gueltigab:
          nullable: true
          type: string
      required:
        - id
        - cooperative
        - localized_slugs
        - cost_center
        - assortments
        - type
        - all_types
        - sub_types
        - name
        - full_name
        - slug
        - additional_slugs
        - phone
        - prefixed_phone
        - email
        - facebook_id
        - visit_frequencies
        - hint
        - opening_hours
        - computed_opening_hours
        - special_day_schedules
        - opening_date
        - closing_date
        - services
        - logo
        - logo_minimal
        - logo_square
        - media
        - weblink
        - links
        - managers
        - mpv_vertriebstyp_id
        - x_kst
        - x_kst_gueltigab
        - admin_x_kst
      type: object
    ComputedOpeningHoursResponse:
      properties:
        date:
          type: string
        day_of_week:
          type: number
        message:
          type: string
        on_request1:
          type: boolean
        on_request2:
          type: boolean
        open:
          type: boolean
        special_schedule:
          type: boolean
        time_close1:
          nullable: true
          type: string
        time_close2:
          nullable: true
          type: string
        time_open1:
          nullable: true
          type: string
        time_open2:
          nullable: true
          type: string
      required:
        - date
        - time_open1
        - time_close1
        - time_open2
        - time_close2
        - message
        - special_schedule
        - day_of_week
        - open
      type: object
    OpeningHours:
      properties:
        day_of_week:
          type: number
        on_request1:
          nullable: true
          type: boolean
        on_request2:
          nullable: true
          type: boolean
        time_close1:
          nullable: true
          type: string
        time_close2:
          nullable: true
          type: string
        time_open1:
          nullable: true
          type: string
        time_open2:
          nullable: true
          type: string
      required:
        - day_of_week
        - time_open1
        - time_close1
        - time_open2
        - time_close2
      type: object
    Service:
      properties:
        bcnr:
          type: string
        boss_numbers:
          items:
            type: string
          nullable: true
          type: array
        code:
          type: string
        counter_type:
          type: string
        daily_type:
          type: string
        hint:
          type: string
        link:
          type: string
        link_text:
          type: string
        logo:
          properties:
            alt_text:
              properties:
                de:
                  nullable: true
                  type: string
                fr:
                  nullable: true
                  type: string
                it:
                  nullable: true
                  type: string
              type: object
            custom:
              nullable: true
              type: string
            large:
              nullable: true
              type: string
            medium:
              nullable: true
              type: string
            original:
              nullable: true
              type: string
            small:
              nullable: true
              type: string
            stack:
              nullable: true
              type: string
          required:
            - custom
            - large
            - medium
            - original
            - small
            - stack
          type: object
        market_type:
          type: string
        name:
          type: string
        offer_groups:
          items:
            anyOf:
              - type: string
              - properties:
                  id:
                    type: string
                  name:
                    type: string
                  offers:
                    items:
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                      required:
                        - id
                        - name
                      type: object
                    type: array
                required:
                  - id
                  - name
                  - offers
                type: object
          type: array
        packet_sizes:
          items:
            type: string
          type: array
        pcnr:
          type: string
        pickmup_type:
          type: string
        pickmup_type_name:
          type: string
        pickup_location_id:
          type: string
        postal_address1:
          type: string
        postal_address2:
          type: string
        postal_address3:
          type: string
        promoted:
          type: boolean
        promoted_group:
          type: string
        return_option:
          type: boolean
        size:
          type: number
        sub_type:
          type: string
        subito_types:
          items:
            type: string
          type: array
        supported_stores:
          items:
            type: string
          type: array
        swift:
          type: string
        text:
          type: string
        title:
          type: string
        type:
          type: string
      required:
        - type
        - sub_type
      type: object
    SpecialDaySchedule:
      properties:
        date_from:
          type: string
        date_to:
          type: string
        holiday:
          nullable: true
          type: string
        just_message:
          nullable: true
          type: boolean
        message:
          nullable: true
          type: string
        open:
          type: boolean
        time_close1:
          nullable: true
          type: string
        time_close2:
          nullable: true
          type: string
        time_open1:
          nullable: true
          type: string
        time_open2:
          nullable: true
          type: string
      required:
        - date_from
        - date_to
        - open
        - time_open1
        - time_close1
        - time_open2
        - time_close2
        - message
        - just_message
        - holiday
      type: object
  securitySchemes:
    apikey:
      in: header
      name: X-Api-Key
      type: apiKey
```
